Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.cpd
Class SourceCode.CodeLoader

    java.lang.Object
      net.sourceforge.pmd.cpd.SourceCode.CodeLoader

Direct Known Subclasses:
  SourceCode.FileCodeLoader, SourceCode.StringCodeLoader

Enclosing class:
  SourceCode

public abstract static class SourceCode.CodeLoader
extends java.lang.Object

Constructor Summary
`SourceCode.CodeLoader()`

Method Summary
`java.util.List` | `getCode()`
`abstract java.lang.String` | `getFileName()`
`protected abstract java.io.Reader` | `getReader()`
`protected java.util.List` | `load()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourceCode.CodeLoader

    public SourceCode.CodeLoader()

Method Detail

### getCode

    public java.util.List getCode()

### getFileName

    public abstract java.lang.String getFileName()

### getReader

    protected abstract java.io.Reader getReader()
                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### load

    protected java.util.List load()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.